<div class="schedule">
  {{#if @value}}
    {{#if this.hasInterval}}
      <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="div"
        data-path="{{@path}}.dateInterval" data-type="title" data-name={{@name}}
        data-gid={{@gid}} class="date-interval">
        {{this.begin}} - {{this.end}} {{#if this.timezone}}({{this.timezone}}){{/if}}
      </TextWithOptions>
    {{/if}}

    <div class="timetable">
      {{#each this.days as |day|}}
        {{#if day.list}}
          <div class="time-table-day">
            <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="span"
                data-path="{{@path}}.day" data-type="day" data-name={{@name}}
                data-gid={{@gid}} class="day-name">
                {{t (concat "day-short." day.name)}}:
            </TextWithOptions>

            {{#each day.list as |interval|}}
              <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="span"
                  data-path="{{@path}}.day" data-type="day" data-name={{@name}}
                  data-gid={{@gid}} class="day-interval">
                  {{interval.begin.hour}}:{{#if (lt interval.begin.minute 10)}}0{{/if}}{{interval.begin.minute}}
                  -
                  {{interval.end.hour}}:{{#if (lt interval.end.minute 10)}}0{{/if}}{{interval.end.minute}}
              </TextWithOptions>
            {{/each}}
          </div>
        {{/if}}
      {{/each}}
    </div>
  {{/if}}
</div>